import Vue from "vue";
import {
  Button,
  Tabbar,
  TabbarItem,
  NavBar,
  Search,
  RadioGroup,
  Radio,
  Swipe,
  SwipeItem,
  Lazyload,
  PullRefresh,
  List,
  Toast,
  Popup,
  Loading,
  Tab,
  Tabs,
  Switch,
  SwipeCell,
  Dialog,
  Checkbox,
  CheckboxGroup,
  Field,
  Actionsheet,
  DatetimePicker,
  Uploader,
  Picker,
  NumberKeyboard,
  Icon,
  Cell,
  CellGroup
} from "vant";

Vue.use(Button)
  .use(Tabbar)
  .use(TabbarItem)
  .use(NavBar)
  .use(Search)
  .use(RadioGroup)
  .use(Radio)
  .use(Swipe)
  .use(SwipeItem)
  .use(Lazyload)
  .use(PullRefresh)
  .use(List)
  .use(Toast)
  .use(Popup)
  .use(Loading)
  .use(Switch)
  .use(Tab)
  .use(Tabs)
  .use(Dialog)
  .use(Checkbox)
  .use(CheckboxGroup)
  .use(SwipeCell)
  .use(Field)
  .use(DatetimePicker)
  .use(Uploader)
  .use(Actionsheet)
  .use(Picker)
  .use(NumberKeyboard)
  .use(Icon)
  .use(Cell)
  .use(CellGroup);

Vue.prototype.$Toast = Toast;
Vue.prototype.$Dialog = Dialog;
